Kerbal Space Program - Bug #17064

Misplaced or missing strings for specific autoLOC keys
01/21/2018 01:18 AM - gordonf@pan-am.ca

Status: Closed Start date: 01/21/2018
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.4.2

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

While proofreading an alternate localization dictionary | think | uncovered some incorrect or missing localization keys.

#autoloc_251200 (decoupler attached wrong) in VAB / SPH is OK. However, no autoloc key is defined for the expansion of this, and
appears blank when expanded. Expanded text should be #autoloc_251207. To reproduce this, attach a decoupler facing away from
the root part and observe the engineering report.

#autoloc_251208, the expanded version of "Decouplers attached wrong," was wrongly applied to "decouplers attached wrong."
#autoloc_251201 should be applied here instead. Also, no autoloc key was defined for its expanded version, and it should be
autoloc_251208. To reproduce this, attach more than one decoupler facing away from the root part and observe the engineering
report.

#autoloc_250911 "This vessel has air intakes" was wrongly applied to "antenna issues." The expanded string is #autoloc_251041.
Both "No Control" and "This vessel has air intakes" will appear in engineering report. To reproduce, create any craft without a
command pod or probe core and observe the engineering report.

History

#1 - 03/27/2018 02:40 PM - Squelch
- Status changed from New to Being Worked On
- % Done changed from 0 to 30

#2 - 03/29/2018 10:04 AM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.2

- % Done changed from 30 to 80

#3 - 03/29/2018 10:04 AM - Squelch

- Expansion Core Game added

#4 - 07/25/2019 12:02 AM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#5 - 07/25/2019 12:02 AM - chris.fulton

- Status changed from Resolved to Closed
